- hosts: all

  tasks:
    - name: install golang
      ansible.builtin.apt:
        name: golang
        state: latest
      become: true
      
    - name: download app dependencies
      shell: go mod download
      args:
        chdir: /vagrant/app/
        
    - name: build go app
      shell: GOOS=linux GOARCH=amd64 CGO_ENABLED=0 go build -o app
      args:
        chdir: /vagrant/app/
        creates: app
